package com.wdkl.ncs.android.middleware.api

import io.reactivex.Observable
import okhttp3.ResponseBody
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

/**
 * 获取呼叫记录列表api
 */
interface WatchUntreatedApi{

    @POST("/ncs_nurseDevice/page")
    fun getCallRecords(@Query("page_no")page_no:Int,@Query("page_size")page_size:Int
                       ,@Query("part_id")part_id:Int,@Query("choice")choice:Int): Observable<ResponseBody>
}