package com.wdkl.ncs.android.component.home.util;

import android.content.Context;
import android.media.AudioManager;

import com.wdkl.ncs.android.component.home.helper.AsyncPlayer;

public class RingPlayHelper {

    private static AsyncPlayer ringPlayer;

    public static void playRingTone(Context context, int res, boolean loop) {
        if (ringPlayer == null) {
            ringPlayer = new AsyncPlayer(null);
        }

        if (!ringPlayer.isPlay()) {
            ringPlayer.play(context, res, loop, AudioManager.STREAM_MUSIC);
        }
    }

    public static void stopRingTone() {
        if (ringPlayer != null) {
            ringPlayer.stop();
        }
    }
}
