package com.wdkl.ncs.android.middleware.api

import io.reactivex.Observable
import okhttp3.ResponseBody
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

/**
 * 获取指定用户呼叫记录列表api
 */
interface WatchNamedUserApi {

    @POST("/watch/getInteractionVOByDeviceIdAndCustomerId")
    fun getNamedUserData(@Query("page_no") page_no: Int, @Query("page_size") page_size: Int
                         , @Query("device_id") device_id: Int
                         , @Query("customer_id") customer_id: Int
                         ): Observable<ResponseBody>

    @GET("/watch/get_using")
    fun getPartWatchUsing(@Query("part_id") part_id: Int): Observable<ResponseBody>
}