package com.wdkl.ncs.android.component.nursehome.common

class Constants {
    companion object {

        var imei: String =""//设备的IMEI号
        var mac: String =""//设备Mac
        var partId : Int =-1//科室ID
        var frameId: String =""//医院结构ID
        var ethIp: String? ="" //当前设备的IP
        var deviceId: Int =-1//当前设备的ID
        var sipIp: String? =""//sipip
        var sipId: String? =""//sipid
        var sipPassword: String? =""//sip密码
        var userName: String? = "" //当前用户
        var userRoleName: String? = "" //当前用户的角色
        var tcpServer: String? = "192.168.1.138"
        var tcpPort: Int = 5080   //tcp端口
        var heartBeat: Int = 9    //tcp心跳
        var ttsState: Int = 0

        //探视视频通话
        var visitRoomId: String? = ""
        var inviteId: String? = ""
        //探视主机id
        var visitHostId: Int? = -1
        var hostSipId: String? = ""

        var fromId: Int? = -1
        var interactionId: Int? = -1

        var yunpai_plugin = false

        //待机
        const val CALL_STANDBY = 0

        //呼叫中
        const val CALL_OUTGOING = 1

        //来电中
        const val CALL_INCOMING = 2

        //通话中
        const val CALL_CALLING = 3

        //通话状态
        var CALL_STATE = CALL_STANDBY

        //手柄拿起
        val HOOK_OFF = "com.android.PhoneWinowManager.HOOK_OFF"
        //手柄放下
        val HOOK_ON = "com.android.PhoneWinowManager.HOOK_ON"
        //手柄状态: 默认放下
        var hookOn: Boolean = true

        //红色按键按下时发送广播： com.key.home_down
        //红色按键抬起时发送广播： com.key.home_up
        //外接手柄按键按下时发送广播： com.key.call_down
        //外接手柄按键抬起时发送广播： com.key.call_up
        const val KEY_CALL_DOWM = "com.key.call_down"
        const val KEY_CALL_UP = "com.key.call_up"
        const val KEY_HOME_DOWN = "com.key.home_down"
        const val KEY_HOME_UP = "com.key.home_up"

        var EVENT_BATTERY_ALARM = true

        const val AUDIO_MSG = 1

        const val VIDEO_MSG = 0x06
        const val EVENT_BATTERY_PERCENT = 0x07 //电量
        const val BACK_TO_MAIN_MSG = 0x08
        const val VISIT_MSG = 0x09
        const val EVENT_UNTREATED_QUANTITY = 0x10 //未处理数量

        const val EVENT_END_CALL = 0x11
        const val EVENT_APP_UPDATE  = 0x13 //app更新
        const val EVENT_TCP_BREAK = 0x15 //tcp掉线
        const val EVENT_RESTART_APP = 0x16

        const val TCP_MSG = 0x20

        const val EVENT_BLUETOOTH_ACCEPT_CALL = 0x44 //断网
        const val EVENT_SERVER_CHANGE = 0x55
        const val EVENT_USER_CHANGE = 0x77
        const val EVENT_DEVICE_CHANGE = 0x88 //切换设备
    }
}