package com.wdkl.ncs.android.middleware.di

import com.wdkl.ncs.android.middleware.logic.presenter.home.*
import dagger.Component


/**
 * @author LDD
 * @Date   2018/1/19 下午6:20
 * @From   com.wdkl.ncs.android.middleware.di
 * @Note   逻辑控制者依赖注入模块
 */
@Component(dependencies = arrayOf(ApplicationComponent::class))
interface PresenterComponent {
    fun inject(presenter: AppUpdatePresenter)

    //手表相关的
    fun inject(presenter: HomeActivityPresenter)

    fun inject(presenter: WatchActivityPresenter)

    fun inject(presenter: WatchDevicePresenter)
}