package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Table;
import com.wdkl.ncs.android.middleware.model.dos.DeviceDO;

@Table(name = "ncs_device")
public class DeviceVO extends DeviceDO {

    private String member_name; // 使用人(护士腕表)

    private String roleName; // 使用角色

    private String shopName; // 科室名

    private Integer type; // 设备所在空间结构类型

    private String fullName; // 空间结构全名

    private String trans485Mac; // 485地址

    private String transAudioMac; // 485语音地址

    public String getMember_name() {
        return member_name;
    }

    public void setMember_name(String member_name) {
        this.member_name = member_name;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getTrans485Mac() {
        return trans485Mac;
    }

    public void setTrans485Mac(String trans485Mac) {
        this.trans485Mac = trans485Mac;
    }

    public String getTransAudioMac() {
        return transAudioMac;
    }

    public void setTransAudioMac(String transAudioMac) {
        this.transAudioMac = transAudioMac;
    }
}
