#更新日志
格式化请点击参考 [学习链接](https://keepachangelog.com/en/1.0.0/)
版本号规范请参考 [学习链接](https://semver.org/spec/v2.0.0.html)
## 指导原则
- 记住日志是写给人的，而非机器。
- 每个版本都应该有独立的入口。
- 同类改动应该分组放置。
- 版本与章节应该相互对应。
- 新版本在前，旧版本在后。
- 应包括每个版本的发布日期。
- 注明是否遵守语义化版本格式.
## 变动类型
- Added 新添加的功能。
- Changed 对现有功能的变更。
- Deprecated 已经不建议使用，准备很快移除的功能。
- Removed 已经移除的功能。
- Fixed 对bug的修复
- Security 对安全的改进
## [Unreleased]
此区块记录即将发布的更新内容。

两大意义：

大家可以知道在未来版本中可能会有哪些变更
在发布新版本时，可以直接将Unreleased区块中的内容移动至新发 布版本的描述区块就可以了



## [1.1.3] version 13
### CHANGE
- 修复空指针异常问题

## [1.1.2] version 12
### CHANGE
- 增加服务器IP地址配置
- 增加开机自启动

## [1.1.1] version 11
### CHANGE
- 切换到janus信令版本



################################################
################# janus信令版本
################################################




---
## [1.0.7] version 7 - 2021-12-24
### CHANGE
- 禁止activity滑动退出，更新device数据
- tcp数据长度修改到2048，增加设备信息上传

## [1.0.6] version 6 - 2021-09-03
### CHANGE
- 注册界面循环拉取数据
- 数据不全或设备未启用不进入主界面
- 未初始化完成不注册rtc websocket

## [1.0.5] version 5 - 2021-09-03
### CHANGE
- 呼叫无反应时增加提示
- 增加app崩溃时错误日志收集功能及app重启功能

## [1.0.4] version 4 - 2021-08-27
### CHANGE
- 优化通话逻辑

## [1.0.2] version 2 - 2021-08-17
### CHANGE
- 标题栏增加科室名称及时间显示
- 修改断网重连及ANR问题
- 优化界面显示，增加呼叫倒计时

## [0.0.1] version 1 - 2021-07-22
### Added
- 主界面OK
- 视频通话界面部分完成